local TaskCell = class("TaskCell", BaseCell)

local ICON_BG = {"common_board_131", "common_board_132"}
local ICON = {"dungeon_armor_star_2", "dungeon_armor_star_1"}

function TaskCell:refresh(desc, over)
    local uiMap = self:getUIMap()
    local icon = over and ICON_BG[2] or ICON_BG[1]
    uiMap["task_cell.task_icon_bg"]:setSprite(GConst.ATLAS_PATH.COMMON, icon)
    icon = over and ICON[2] or ICON[1]
    uiMap["task_cell.task_icon"]:setSprite(GConst.ATLAS_PATH.UI_DUGEON_ARMOR, icon)
    uiMap["task_cell.desc"]:setText(desc)
    uiMap["task_cell.check"]:setVisible(over)
end

return TaskCell